/* TableStyleMedium8.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn8
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium8 extends TableStyleImpl {
	private TableStyleMedium8() {
		super(
				"TableStyleMedium8",//name,
				M8_Whole_Table, 	//wholeTable,
				M8_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M8_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M8_Last_Col, 	//lastCol,
				M8_First_Col,	//firstCol,
				M8_Header_Row,	//headerRow,
				M8_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M8_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "A5A5A5", "A5A5A5"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M8_Row_Stripe1 =
			M8_Col_Stripe1;
	private static final STableStyleElem M8_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				new ExtraFillImpl(FillPattern.SOLID, "000000", "000000"),	//fill //ZSS-1162
				null //border
			);
	private static final STableStyleElem M8_First_Col =
			M8_Last_Col;
	private static final BorderLineImpl M8_Outline_Border =
			new BorderLineImpl(BorderType.THICK, "FFFFFF");
	private static final BorderLineImpl M8_Inside_Border =
			new BorderLineImpl(BorderType.THIN, "FFFFFF");
	private static final STableStyleElem M8_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "000000", "000000"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							M8_Outline_Border, //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M8_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "000000", "000000"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top
							null, //right
							M8_Outline_Border, //bottom 
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M8_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "D8D8D8", "D8D8D8"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top 
							null, //right
							null, //bottom
							null, //diagonal
							M8_Inside_Border,	//vertical
							M8_Inside_Border 	//horizontal
					)
			);

	public static final TableStyleMedium8 instance = new TableStyleMedium8();
}
